<div class="dialog mix-network-dialog">
  <div class="title">
    <h3>{{ 'NETWORK_DIALOG.MIX_NETWORK' | translate }}</h3>
    <i class="icon-icomoon-remove" (click)="onClose()"></i>
  </div>
  <form (ngSubmit)="onSubmit()" [formGroup]="formGroup">
    <div class="columns">
      <div class="column">
        <geodesign-select [group]="true" [options]="options" [label]="'MIX_NETWORK.DEFAULT_SELECT' | translate" formControlName="schemaCopy"></geodesign-select>
        <div class="content-list">
          <ul>
            <li (click)="addLine(line)" *ngFor="let line of lines; trackBy: trackByFn">{{ line.nom }}</li>
          </ul>
        </div>
      </div>
      <div class="column">
        <geodesign-input-text [placeholder]="'NETWORK_DIALOG.NEW_NAME' | translate"
                              formControlName="schema"></geodesign-input-text>
        <div class="content-list">
          <ul>
            <li (click)="removeLine(line)" *ngFor="let line of linesSelected; trackBy: trackByFn">{{ line.nom }} [{{ line.networkName }}]
            </li>
          </ul>
        </div>
      </div>
    </div>
    <geodesign-alert *ngIf="isError">{{ 'GLOBAL.ERROR' | translate }}</geodesign-alert>
    <div class="buttons">
      <geodesign-button styles="primary" type="submit">{{ 'FORM.MIX' | translate }}</geodesign-button>
    </div>
  </form>
</div>
